<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".CalculadoraActivity">

    <EditText
        android:id="@+id/lblRes"
        android:layout_width="230dp"
        android:layout_height="48dp"
        android:layout_marginBottom="348dp"
        android:hint="@string/O.0"
        android:importantForAutofill="no"
        android:inputType="numberDecimal"
        android:minHeight="48dp"
        android:textColorHint="#8D6E63"
        app:layout_constraintBottom_toTopOf="@+id/btnLimpiar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toEndOf="@+id/textView4"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout3"
        app:layout_constraintVertical_bias="0.0">
    </EditText>

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/calculadora"
            android:textSize="34sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </LinearLayout>


    <LinearLayout
        android:id="@+id/linearLayout2"
        android:layout_width="359dp"
        android:layout_height="56dp"
        android:layout_marginTop="80dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.489"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/Num_1"
            android:textSize="26sp">
        </TextView>

        <EditText
            android:id="@+id/lblNum1"
            android:layout_width="283dp"
            android:layout_height="match_parent"
            android:hint="@string/O.0"
            android:importantForAutofill="no"
            android:inputType="numberDecimal"
            android:minHeight="65sp"
            android:textColorHint="#8D6E63"
            tools:ignore="DuplicateSpeakableTextCheck">
        </EditText>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout3"
        android:layout_width="359dp"
        android:layout_height="57dp"
        android:layout_marginTop="8dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout2">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/Num_2"
            android:textSize="26sp">
        </TextView>

        <EditText
            android:id="@+id/lblNum2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:hint="@string/O.0"
            android:importantForAutofill="no"
            android:inputType="numberDecimal"
            android:minHeight="55sp"
            android:textColorHint="#8D6E63">
        </EditText>

    </LinearLayout>

    <Button
        android:id="@+id/btnLimpiar"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_marginTop="372dp"
        android:text="@string/limpiar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout3" />

    <Button
        android:id="@+id/btnRegresar"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:text="@string/regresar"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/btnLimpiar"
        app:layout_constraintVertical_bias="0.883" />

    <TextView
        android:id="@+id/lblUser"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="28dp"
        android:text="@string/usuario"
        android:textSize="26sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.145"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout" />

    <TextView
        android:id="@+id/textView4"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:text="@string/resultado"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.102"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout3" />

    <Button
        android:id="@+id/btnDiv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/div"
        app:layout_constraintBottom_toBottomOf="@+id/btnMulti"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/btnMulti"
        app:layout_constraintTop_toTopOf="@+id/btnMulti"
        app:layout_constraintVertical_bias="0.0" />

    <Button
        android:id="@+id/btnSuma"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="48dp"
        android:text="@string/suma"
        app:layout_constraintBottom_toTopOf="@+id/btnLimpiar"
        app:layout_constraintEnd_toStartOf="@+id/btnResta"
        app:layout_constraintHorizontal_bias="0.351"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/lblRes"
        app:layout_constraintVertical_bias="0.0" />

    <Button
        android:id="@+id/btnMulti"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:text="@string/multi"
        app:layout_constraintBottom_toBottomOf="@+id/btnResta"
        app:layout_constraintStart_toEndOf="@+id/btnResta"
        app:layout_constraintTop_toTopOf="@+id/btnResta"
        app:layout_constraintVertical_bias="0.0" />

    <Button
        android:id="@+id/btnResta"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/resta"
        app:layout_constraintBottom_toBottomOf="@+id/btnSuma"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.325"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/btnSuma"
        app:layout_constraintVertical_bias="0.0" />


</androidx.constraintlayout.widget.ConstraintLayout>